Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Im Running Centos 5.6 im trying to install Sphinx Search but keep getting errors with missing dependencies. Im running

sudo rpm -Uvh sphinx-2.0.2-1.el5.x86_64.rpm 
error: Failed dependencies:
    libexpat.so.0()(64bit) is needed by sphinx-2.0.2-1.rhel5.x86_64
    libmysqlclient.so.15()(64bit) is needed by sphinx-2.0.2-1.rhel5.x86_64
    libmysqlclient.so.15(libmysqlclient_15)(64bit) is needed by sphinx-2.0.2-> 1.rhel5.x86_64

I have mysql installed when I run

yum install mysqlclient
No package mysqlclient available.

I checked the sphinx forum and nobody has the same problem.

share|improve this question
add comment

3 Answers 3

Try

yum install mysql expat

This will install MySQL client programs, its shared libraries and also expat which you also seem to be missing.

share|improve this answer
    
Thanks for the reply. I tried that. I get this message Setting up Install Process Package mysql-5.1.52-1.6.amzn1.x86_64 already installed and latest version Package expat-2.0.1-9.1.8.amzn1.x86_64 already installed and latest version Nothing to do –  CraigH Nov 17 '11 at 21:51
    
@CraigH That is not CentOS 5.anything. I think your question needs to be changed, if you are really using Amazon Linux. –  Michael Hampton Feb 17 at 15:49
add comment

Installing needed packages solves the issue. Here, for example, a similar situation: http://snippetsofcode.wordpress.com/2014/02/15/how-to-fix-failed-dependencies-when-installing-rpm-sphinx-search-on-centos/

share|improve this answer
add comment

Please check that you have package mysql-devel installed.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.